XOOPS Cube日本サイト (XCL2.2(Pack 2012)) https://xoopscube.jp/forum?category_id=31&keyword= 最新公開記事 php7環境で、xoopsのモジュールアクセス権限が500エラーで変更できない https://xoopscube.jp/forum/7262 先日はDBバージョン変更に伴う質問でお世話になりました。その節はありがとうございました。お陰様でxoopsサイト全て順調に稼働していたのですが、標記の問題が発生しました。またお力をお貸しいただければと思います。新規にインストール、または既にインストールされているモジュールのアクセス権限を変更しようとすると500エラーが発生します。phpデバグにて取得したエラーログは以下の通りでした。Fatal [PHP]: Uncaught Error: [] operator not supported for strings in /home/(xoops trust pathへのアドレス)/libs/altsys/include/mygroupperm.php:91 Stack trace: #0 /home/(xoops trust pathへのアドレス)/libs/altsys/class/MyBlocksAdmin.class.php(1041): include() #1 /home/(xoops trust pathへのアドレス)/libs/altsys/myblocksadmin.php(57): MyBlocksAdmin->processPost() #2 /home(xoops trust pathへのアドレス)/modules/gnavi/admin.php(40): include('/home/(xoops trust pathへのアドレス)/...') #3 /home/ユーザー名/www/公開側ルートディレクトリ/modules/products/admin/index.php(10): require('/home/(xoops trust pathへのアドレス)/...') #4 {main} thrown in file (trust)/libs/altsys/include/mygroupperm.php line 91 (1)サーバー情報などDistribution : XOOPS X(ten) 20180208XC Legacyバージョン : XOOPS Cube Legacy 2.2.3 Beta 1使用言語 : ja_utf8オペレーティングシステム : FreeBSDサーバー : ApachePHPバージョン : 7.2.7MySQLのバージョン : 5.5.59-log※mysqlが5.7.21 の環境でも問題が再現します。※php7.19でも問題が再現します※xoopsはホダ塾ディストリビューションからアップグレードしたもの、2018年2月に新規インストールしたもの、全てにおいて問題が発生します。(全てxoops x です)試しにサーバーのphpバージョンを一時的に5.6に戻したところ正常に権限変更が出来ました。できればphp7のままですべてのサイトを運用したいのですが、うまく修復できる方法やアドバイスを頂ければと思います。どうかよろしくお願いいたします。

先日はDBバージョン変更に伴う質問でお世話になりました。その節はありがとうございました。
お陰様でxoopsサイト全て順調に稼働していたのですが、標記の問題が発生しました。またお力をお貸しいただければと思います。

新規にインストール、または既にインストールされているモジュールのアクセス権限を変更しようとすると500エラーが発生します。

phpデバグにて取得したエラーログは以下の通りでした。

Fatal [PHP]: Uncaught Error: [] operator not supported for strings in /home/(xoops trust pathへのアドレス)/libs/altsys/include/mygroupperm.php:91 Stack trace: #0 /home/(xoops trust pathへのアドレス)/libs/altsys/class/MyBlocksAdmin.class.php(1041): include() #1 /home/(xoops trust pathへのアドレス)/libs/altsys/myblocksadmin.php(57): MyBlocksAdmin->processPost() #2 /home(xoops trust pathへのアドレス)/modules/gnavi/admin.php(40): include('/home/(xoops trust pathへのアドレス)/...') #3 /home/ユーザー名/www/公開側ルートディレクトリ/modules/products/admin/index.php(10): require('/home/(xoops trust pathへのアドレス)/...') #4 {main} thrown in file (trust)/libs/altsys/include/mygroupperm.php line 91 (1)

サーバー情報など

Distribution : XOOPS X(ten) 20180208
XC Legacyバージョン : XOOPS Cube Legacy 2.2.3 Beta 1
使用言語 : ja_utf8
オペレーティングシステム : FreeBSD
サーバー : Apache
PHPバージョン : 7.2.7
MySQLのバージョン : 5.5.59-log

※mysqlが5.7.21 の環境でも問題が再現します。
※php7.19でも問題が再現します
※xoopsはホダ塾ディストリビューションからアップグレードしたもの、2018年2月に新規インストールしたもの、全てにおいて問題が発生します。(全てxoops x です)

試しにサーバーのphpバージョンを一時的に5.6に戻したところ
正常に権限変更が出来ました。

できればphp7のままですべてのサイトを運用したいのですが、うまく修復できる方法やアドバイスを頂ければと思います。
どうかよろしくお願いいたします。

]]>
yoshi34 2018-08-03T16:21+09:00 XCL2.2(Pack 2012)
mysql5.7環境での問題?Altsys xelfinder xoops管理画面 https://xoopscube.jp/forum/7260 昨日、別記事にて https://xoopscube.jp/modules/x/index.php?q=/forum/7259 質問したyoshi34です。上記記事に関してはとりあえず記事内の通り「とりあえず」解決したのですが、また別の問題がみつかりましたのでご報告、そして、知恵をお借りできればと思います。mysql5.7環境において、xoopsモジュールのAltsys,xelfinder,xoops管理画面に問題があります。1、xelfinder画像のアップロードの際に、(ファイルマネージャーを開いた際に)「バックエンドの設定が有効ではありません。読み込み可能なボリュームがありません。」と表示され、画像アップロードが出来ません。2、Altsysテンプレート管理 の画面で、各モジュール名をクリックしても、テンプレート一覧の表が1行しか表示されず、テンプレートの変更が出来ません。新規にテンプレートセットを作成する:は機能しています。テンプレートの高度な設定 で、テンプレートのダウンロード・アップロード共に、ドロップダウンリストで対象テンプレートを選択できない(窓内の表示が --- しかない)3、xoops管理画面の、左側メニューのみ表示されない。自分なりに調べてはみたのですがスキルと知識不足で原因がわかりません。ちなみに、gnavi pico ckeditor4 は問題なく動作しております。記事の制作もできました。現在の環境の詳細は構築環境(さくらレンタルサーバー)Distribution : XOOPS X(ten) 20170328XC Legacyバージョン : XOOPS Cube Legacy 2.2.3 Beta 1使用言語 : ja_utf8オペレーティングシステム : FreeBSDサーバー : Apache/2.4.29PHPバージョン : 5.6.32MySQLのバージョン : 5.7.20-logmysqlデータベースは構築時にさくらの管理画面でutf8bm4 と utf8 を選択するようになっており、utf8で制作しました。(最初utf8bm4にて制作したところxelfinderとpicoがインストールできなかった)phpmyadminで確認して、照合順序もutf8_general_ciにしてあります。mysql5.5でデータベースを作成できた昨年末までは問題なくサイト構築できておりました。mysql5.7しかデータベース新規作成できない状態のため、困っております。ご教授いただければ幸いです、よろしくお願いいたします。

昨日、別記事にて https://xoopscube.jp/modules/x/index.php?q=/forum/7259 質問したyoshi34です。
上記記事に関してはとりあえず記事内の通り「とりあえず」解決したのですが、また別の問題がみつかりましたのでご報告、そして、知恵をお借りできればと思います。

mysql5.7環境において、xoopsモジュールのAltsys,xelfinder,xoops管理画面に問題があります。

1、xelfinder
画像のアップロードの際に、(ファイルマネージャーを開いた際に)
「バックエンドの設定が有効ではありません。読み込み可能なボリュームがありません。」と表示され、画像アップロードが出来ません。

2、Altsys

テンプレート管理 の画面で、各モジュール名をクリックしても、テンプレート一覧の表が1行しか表示されず、テンプレートの変更が出来ません。新規にテンプレートセットを作成する:は機能しています。

テンプレートの高度な設定 で、テンプレートのダウンロード・アップロード共に、ドロップダウンリストで対象テンプレートを選択できない(窓内の表示が --- しかない)

3、xoops管理画面の、左側メニューのみ表示されない。

自分なりに調べてはみたのですがスキルと知識不足で原因がわかりません。

ちなみに、
gnavi pico ckeditor4 は問題なく動作しております。記事の制作もできました。

現在の環境の詳細は

構築環境(さくらレンタルサーバー)
Distribution : XOOPS X(ten) 20170328
XC Legacyバージョン : XOOPS Cube Legacy 2.2.3 Beta 1
使用言語 : ja_utf8
オペレーティングシステム : FreeBSD
サーバー : Apache/2.4.29
PHPバージョン : 5.6.32
MySQLのバージョン : 5.7.20-log

mysqlデータベースは構築時にさくらの管理画面で
utf8bm4 と utf8 を選択するようになっており、utf8で制作しました。
(最初utf8bm4にて制作したところxelfinderとpicoがインストールできなかった)
phpmyadminで確認して、照合順序もutf8_general_ciにしてあります。

mysql5.5でデータベースを作成できた昨年末までは問題なくサイト構築できておりました。mysql5.7しかデータベース新規作成できない状態のため、困っております。
ご教授いただければ幸いです、よろしくお願いいたします。

]]>
yoshi34 2018-02-07T11:22+09:00 XCL2.2(Pack 2012)
mysql5.7環境でモジュール pico と xelfinder がインストールできない https://xoopscube.jp/forum/7259 いつも拝見させていただき、参考とさせてもらっております。サイトの新規構築の際に、以下の環境で不具合が発生し困っております。何か情報をお持ちの方、ご教授いただければ幸いです。不具合内容●xoopsインストール後、管理者メニューの左側メニューが表示されない(これに関しては別の管理者テーマ「admin0.24」を組み込んで使用しています)●モジュール「pico」がインストールできない ●モジュール「xelfinder」がインストールできない上記2つに関しては、インストールの最後に「コールバック 'xoops_module_install_モジュール名' を実行することができませんでした」とメッセージが出る。構築環境(さくらレンタルサーバー)Distribution : XOOPS X(ten) 20170328XC Legacyバージョン : XOOPS Cube Legacy 2.2.3 Beta 1使用言語 : ja_utf8オペレーティングシステム : FreeBSDサーバー : Apache/2.4.29PHPバージョン : 5.6.32MySQLのバージョン : 5.7.20-log気になることは、mysqlのバージョンが5.7という事です。(文字コードはutf8bm4)昨年末に別のサイト構築した際はmysql5.5で、問題なく構築できました。今年に入り、さくらレンタルサーバーの方で「今から新規構築するデータベースは全てmysql5.7で構築するよう」仕様変更されており、mysql5.5での構築はできません。ちなみに、xoops xパック付属の他のモジュール、pical,gnavi,protectorなどは問題なくインストールできております。何か情報をお持ちの方、是非ご教授いただければ幸いです。よろしくお願いいたします。

いつも拝見させていただき、参考とさせてもらっております。
サイトの新規構築の際に、以下の環境で不具合が発生し困っております。
何か情報をお持ちの方、ご教授いただければ幸いです。

不具合内容
●xoopsインストール後、管理者メニューの左側メニューが表示されない
(これに関しては別の管理者テーマ「admin0.24」を組み込んで使用しています)

●モジュール「pico」がインストールできない 
●モジュール「xelfinder」がインストールできない

上記2つに関しては、インストールの最後に「コールバック 'xoops_module_install_モジュール名' を実行することができませんでした」とメッセージが出る。

構築環境(さくらレンタルサーバー)
Distribution : XOOPS X(ten) 20170328
XC Legacyバージョン : XOOPS Cube Legacy 2.2.3 Beta 1
使用言語 : ja_utf8
オペレーティングシステム : FreeBSD
サーバー : Apache/2.4.29
PHPバージョン : 5.6.32
MySQLのバージョン : 5.7.20-log

気になることは、mysqlのバージョンが5.7という事です。(文字コードはutf8bm4)

昨年末に別のサイト構築した際はmysql5.5で、問題なく構築できました。
今年に入り、さくらレンタルサーバーの方で「今から新規構築するデータベースは全てmysql5.7で構築するよう」仕様変更されており、mysql5.5での構築はできません。

ちなみに、xoops xパック付属の他のモジュール、pical,gnavi,protectorなどは問題なくインストールできております。

何か情報をお持ちの方、是非ご教授いただければ幸いです。よろしくお願いいたします。

]]>
yoshi34 2018-02-05T09:55+09:00 XCL2.2(Pack 2012)
2.2へのアップグレード https://xoopscube.jp/forum/7249 いくつかのXOOPSサイト(XOOPS 2.0.16a JP)を運営してきたのですが、今年(2015年)9月末にすべてのサイトでフォーラム投稿表示のフォーラム名、スレッド項目が表示されなくなり、運営がストップしてしまいました。日本語データのデータベースとのやりとりに問題が起きたのだとは思うのですが、その原因、解決方法がわかりません。XOOPSサイトのアップグレードを怠ったままでしたので、とりあえずテスト用のサイトで、最新版へのアップグレードを試みました。(XCL2.1.8)へのアップグレードは一応完了したのですが、管理画面に入ると、トップページのフォーラム同様、各項目の表示がありません。最新版(legacy-stable、2.2.2)に期待を込めてそのままアップグレードを作業し立ち上げると、'FETAL: open error: site setting config.'のエラーメッセージであとは真っ白。そこで'XCL2.18(EUC)をpack2011(XCL2.2 UTF-8)にアップグレードしてみよう!'を頼りにローカルPC上にサーバー環境を作り、試してみました。そうしたら、当面の問題だったフォーラム投稿表示のフォーラム名、スレッド項目が'XOOPS 2.0.16a JP'のままの時点で何の問題もなく表示され、そのままローカル環境では何の問題もなく、最新版(legacy-stable、2.2.2)までアップグレードできました。最使用サーバー、PHP5.4、MySQL5.5ローカル環境、PHP5.5、MySQL5.6 です。最終的にやはり、サーバー上で最新バージョンでのつつがない運営をいたしたく、ご助言をいただけたらと思います。

いくつかのXOOPSサイト(XOOPS 2.0.16a JP)を運営してきたのですが、今年(2015年)9月末にすべてのサイトでフォーラム投稿表示のフォーラム名、スレッド項目が表示されなくなり、運営がストップしてしまいました。

日本語データのデータベースとのやりとりに問題が起きたのだとは思うのですが、その原因、解決方法がわかりません。XOOPSサイトのアップグレードを怠ったままでしたので、とりあえずテスト用のサイトで、最新版へのアップグレードを試みました。

(XCL2.1.8)へのアップグレードは一応完了したのですが、管理画面に入ると、トップページのフォーラム同様、各項目の表示がありません。

最新版(legacy-stable、2.2.2)に期待を込めてそのままアップグレードを作業し立ち上げると、'FETAL: open error: site setting config.'のエラーメッセージであとは真っ白。

そこで'XCL2.18(EUC)をpack2011(XCL2.2 UTF-8)にアップグレードしてみよう!'を頼りにローカルPC上にサーバー環境を作り、試してみました。

そうしたら、当面の問題だったフォーラム投稿表示のフォーラム名、スレッド項目が'XOOPS 2.0.16a JP'のままの時点で何の問題もなく表示され、そのままローカル環境では何の問題もなく、最新版(legacy-stable、2.2.2)までアップグレードできました。

最使用サーバー、PHP5.4、MySQL5.5
ローカル環境、PHP5.5、MySQL5.6 です。

最終的にやはり、サーバー上で最新バージョンでのつつがない運営をいたしたく、ご助言をいただけたらと思います。

]]>
KSL 2015-12-02T16:26+09:00 XCL2.2(Pack 2012)
d3diaryのインストール https://xoopscube.jp/forum/7245 こんばんわ。なんか、あまり盛り上がってないようなのでレスが返ってくるかちょっと不安ではありますが。d3diaryをインストールして一応成功したようなのですが、下記のようなエラーが出ます。そこから先に進まないのでこちらにかかせていただきました。Smarty error: [in db:d3diary_index.html line 183]: [plugin] modifier 'mb_truncate' is not implemented (core.load_plugins.php, line 118)This page cannot be displayed due to an internal error.If you are the administrator of this site, please visit the XOOPS Cube Project Site for assistance.XAMPPでインストールを行いました。システム構成はXOOPS Cube Legacy 2.2.3 Beta 1オペレーティングシステム : Darwinサーバー : Apache/2.4.16 (Unix) OpenSSL/1.0.1p PHP/5.6.12 mod_perl/2.0.8-dev Perl/v5.16.3PHPバージョン : 5.6.12MySQLのバージョン : 5.6.26

こんばんわ。なんか、あまり盛り上がってないようなのでレスが返ってくるかちょっと不安ではありますが。

d3diaryをインストールして一応成功したようなのですが、下記のようなエラーが出ます。
そこから先に進まないのでこちらにかかせていただきました。

Smarty error: [in db:d3diary_index.html line 183]: [plugin] modifier 'mb_truncate' is not implemented (core.load_plugins.php, line 118)This page cannot be displayed due to an internal error.

If you are the administrator of this site, please visit the XOOPS Cube Project Site for assistance.

XAMPPでインストールを行いました。
システム構成は
XOOPS Cube Legacy 2.2.3 Beta 1
オペレーティングシステム : Darwin
サーバー : Apache/2.4.16 (Unix) OpenSSL/1.0.1p PHP/5.6.12 mod_perl/2.0.8-dev Perl/v5.16.3
PHPバージョン : 5.6.12
MySQLのバージョン : 5.6.26

]]>
daddy 2015-11-01T02:51+09:00 XCL2.2(Pack 2012)
piCalフォルダ名変更だと、詳細画面が真っ白に https://xoopscube.jp/forum/7244 soyogiです。掲題の件ですが、レンタルサーバで新しくサイトを構築していまして、piCalをxupdateから導入し、インストールの前にFTPでフォルダ名を変更(piCal→calendar)しました。この状態でインストールは成功し、piCalも使えるのですが、予約の追加(カレンダーの日の詳細画面)へのリンクをクリックすると、真っ白画面になってしまう状況になっております。環境としましてはXOOPS Cube Legacy 2.2.3 Beta 1PHP 5.3.28MySQL 5.6になります。同レンタルサーバには他のサイトも構築していて、そちらはpiCalの名前を変更して使っていて、piCalも複数使ったりしております。PHPデバッグでも何も出てこないので、なぜ詳細画面だけ白くなるのかと、今までこのような事になった覚えがなく、皆さまのお知恵を拝借できたらと思います。ちなみに、フォルダ名を変えないでpiCalのままでしたら何の問題も無く使用できました。また、一旦ダウングレードと思って、piCal0.93を入れようとしたら、インストール画面でエラーになってしまいました。(こちらの問題はPHP5.3なので、TIMESTAMP(14) NOT NULL を TIMESTAMP NOT NULLにしたりするのかなと思ったのですが、こちらも何かうまくいかず(-_-;))何か些細な事で結構ですので、お分かりになられる方がいらっしゃいましたら、ご教示お願い致します。

soyogiです。

掲題の件ですが、レンタルサーバで新しくサイトを構築していまして、piCalをxupdateから導入し、インストールの前にFTPでフォルダ名を変更(piCal→calendar)しました。
この状態でインストールは成功し、piCalも使えるのですが、予約の追加(カレンダーの日の詳細画面)へのリンクをクリックすると、真っ白画面になってしまう状況になっております。

環境としましては
XOOPS Cube Legacy 2.2.3 Beta 1
PHP 5.3.28
MySQL 5.6
になります。

同レンタルサーバには他のサイトも構築していて、そちらはpiCalの名前を変更して使っていて、piCalも複数使ったりしております。

PHPデバッグでも何も出てこないので、なぜ詳細画面だけ白くなるのかと、今までこのような事になった覚えがなく、皆さまのお知恵を拝借できたらと思います。

ちなみに、フォルダ名を変えないでpiCalのままでしたら何の問題も無く使用できました。
また、一旦ダウングレードと思って、piCal0.93を入れようとしたら、インストール画面でエラーになってしまいました。
(こちらの問題はPHP5.3なので、TIMESTAMP(14) NOT NULL を TIMESTAMP NOT NULLにしたりするのかなと思ったのですが、こちらも何かうまくいかず(-_-;))

何か些細な事で結構ですので、お分かりになられる方がいらっしゃいましたら、ご教示お願い致します。

]]>
soyogi 2015-10-27T13:01+09:00 XCL2.2(Pack 2012)
xoops x 標準検索バーについて https://xoopscube.jp/forum/7243 現在xoopsテンプレートを編集しているんですが、検索バーを削除したいんですが出来ません。テーマのCSSなどは削除しましたが、現在も残っています。どこを削除したら消えますか?回答お待ちしております。

現在xoopsテンプレートを編集しているんですが、検索バーを削除したいんですが出来ません。テーマのCSSなどは削除しましたが、現在も残っています。どこを削除したら消えますか?

回答お待ちしております。

]]>
kenta2493 2015-09-24T23:37+09:00 XCL2.2(Pack 2012)
メール送信ができません https://xoopscube.jp/forum/7225 最近、データベースをMySQL4からMySQL5に移行しその後、XC LegacyをXOOPS Cube Legacy 2.2.3 Beta 1へバージョンアップし再設定などを行っているのですが、サイトからのメール送信ができなくなってしまいました。Mailformモジュールでのメール送信プライベートメッセージメンバーのイベント通知のメール送信カスタムブロックにHTMLでメールアドレスをリンク記述したものもリンクが移動しません。いろいろ調べてLegacyの「XOOPSコンフィグ」の「メール設定」でPHP mail()、sendmail、SMTP、SMTPAuthなど、さまざまな設定を試してみたのですがやはりメールが送信できずにいます。サーバはロリポップで、メールアドレスもBecky!で送受信しているものなのですが、考えられる原因や、設定方法をご存知の方は教えてください。よろしくお願いいたします。

最近、データベースをMySQL4からMySQL5に移行し
その後、XC LegacyをXOOPS Cube Legacy 2.2.3 Beta 1へバージョンアップし
再設定などを行っているのですが、サイトからのメール送信ができなくなってしまいました。

Mailformモジュールでのメール送信
プライベートメッセージ
メンバーのイベント通知のメール送信
カスタムブロックにHTMLでメールアドレスをリンク記述したものもリンクが移動しません。

いろいろ調べてLegacyの「XOOPSコンフィグ」の「メール設定」でPHP mail()、sendmail、SMTP、SMTPAuthなど、さまざまな設定を試してみたのですがやはりメールが送信できずにいます。

サーバはロリポップで、メールアドレスもBecky!で送受信しているものなのですが、考えられる原因や、設定方法をご存知の方は教えてください。

よろしくお願いいたします。

]]>
harusou 2015-01-23T17:27+09:00 XCL2.2(Pack 2012)
d3downloadsでファイルアップロード後に壊れる https://xoopscube.jp/forum/7212 soyogiです。こちらに質問させて頂き解決した問題もあり、ホダ塾からXOOPS Xへの移行も順調に行えて来ました。ありがとうございます。今日は、XOOPS Xに移行後の事象なのですが、d3downloadsでアップロードしたファイル(wordやpdfなど)が、アップした日は平気なのですが何かのタイミング?で「broken file !!」になってしまう現象が出ています。・アップしているファイルの種類に関わらず壊れている。・アップした当日の確認ではダウンロード、閲覧出来る事を確認できている。・XOOPS Xにアップデート後のファイル?が壊れている。・broken fileになっているファイルを修正で上げなおしたものは、今の所再度壊れてはいないどのタイミングで「broken file !!」になってしまうのかが掴めていないので、原因を絞り辛いのですが…関係あるか分かりませんが、レンタルサーバでホダ塾とXOOPS Xを平行稼働させて徐々に移行している事もあり、XOOPS Xで使用するtrust_pathはホダ塾のとは別名で用意しています。trust_pathは名前変更していたら動きが良くないとかあるのかなと考えた次第です。本事象を調査するに辺り、どの辺を調査したらよいかなど情報がございましたらご教示願えればと思っております。よろしくお願い致します。────────────────XOOPS Cube Legacy 2.2.3 Beta 1PHP 5.3d3downloads 1.49

soyogiです。

こちらに質問させて頂き解決した問題もあり、ホダ塾からXOOPS Xへの移行も順調に行えて来ました。
ありがとうございます。

今日は、XOOPS Xに移行後の事象なのですが、d3downloadsでアップロードしたファイル(wordやpdfなど)が、アップした日は平気なのですが何かのタイミング?で「broken file !!」になってしまう現象が出ています。

・アップしているファイルの種類に関わらず壊れている。
・アップした当日の確認ではダウンロード、閲覧出来る事を確認できている。
・XOOPS Xにアップデート後のファイル?が壊れている。
・broken fileになっているファイルを修正で上げなおしたものは、今の所再度壊れてはいない

どのタイミングで「broken file !!」になってしまうのかが掴めていないので、原因を絞り辛いのですが…

関係あるか分かりませんが、レンタルサーバでホダ塾とXOOPS Xを平行稼働させて徐々に移行している事もあり、XOOPS Xで使用するtrust_pathはホダ塾のとは別名で用意しています。
trust_pathは名前変更していたら動きが良くないとかあるのかなと考えた次第です。

本事象を調査するに辺り、どの辺を調査したらよいかなど情報がございましたらご教示願えればと思っております。
よろしくお願い致します。

────────────────
XOOPS Cube Legacy 2.2.3 Beta 1
PHP 5.3
d3downloads 1.49

]]>
soyogi 2014-07-16T10:32+09:00 XCL2.2(Pack 2012)
ホダ塾からXoopsXにアップグレード後、管理者画面に入れない https://xoopscube.jp/forum/7202 soyogiと申します。現在、hetemlというレンタルサーバ上にてホダ塾を使用して複数サイトを運営しているのですが、hetemlのPHPバージョンが(PHP4 or PHP5.2 → PHP5.3 or PHP5.4)上がるとのアナウンスがあり、ホダ塾からXoopsXへ移行するテストを行っています。以前、別記事にてお世話になりました、marine様のサイトで同様の作業内容があり参考にさせて頂いております。http://xoops123.com/modules/xpwiki/index.php/XOOPSでWebサイトを作ろう/ホダ塾をXOOPS X にアップグレードしよう!試しに2サイトのアップグレード作業を行いましたが、1サイトはうまくあがったのですが、もう1サイトはログイン後に管理者画面に入ろうとすると真っ白画面になってしまいます。phpMyAdminにてデバッグモードをonにして確認したのですが、以下のエラーが出ていました。Handler does not existModule: xupdateName: ModuleStoreThis page cannot be displayed due to an internal error.検索してもこの情報がhitせず、試行錯誤しています。ディレクトリ構成は下記のようになっております。(テストを行っているのは※のついた所です)/├web│├サイトA│├サイトA'(※)│└サイトB│└サイトB'(※)├xoops_trust_path└xoops_x_trust_path(※)現行サイトが稼働しているので、サイトA'とサイトB'としてまるごとコピー。DBは新規作成し、サイトAで使用しているものをphpMyAdminにてエクスポートし、サイトA'へインポート。xoops_trust_pathはxoops_x_trust_pathとしてコピーし、サイトA'、サイトB'からはそちらを見るようにmainfaile.phpを設定。サイトA'(アップグレード成功)サイトB'(アップグレードはしているようだが管理者画面が表示されない)XOOPS Cube Legacy 2.1.5 → XOOPS Cube Legacy 2.2.3 Beta 1もし何か分かる方がいらっしゃればアドバイスお願い出来ますでしょうか。ご助言、よろしくお願い致します。

soyogiと申します。

現在、hetemlというレンタルサーバ上にてホダ塾を使用して複数サイトを運営しているのですが、hetemlのPHPバージョンが(PHP4 or PHP5.2 → PHP5.3 or PHP5.4)上がるとのアナウンスがあり、ホダ塾からXoopsXへ移行するテストを行っています。

以前、別記事にてお世話になりました、marine様のサイトで同様の作業内容があり参考にさせて頂いております。
http://xoops123.com/modules/xpwiki/index.php/XOOPSでWebサイトを作ろう/ホダ塾をXOOPS X にアップグレードしよう!

試しに2サイトのアップグレード作業を行いましたが、1サイトはうまくあがったのですが、もう1サイトはログイン後に管理者画面に入ろうとすると真っ白画面になってしまいます。
phpMyAdminにてデバッグモードをonにして確認したのですが、以下のエラーが出ていました。
Handler does not exist
Module: xupdate
Name: ModuleStoreThis page cannot be displayed due to an internal error.

検索してもこの情報がhitせず、試行錯誤しています。

ディレクトリ構成は下記のようになっております。(テストを行っているのは※のついた所です)
/
├web
│├サイトA
│├サイトA'(※)
│└サイトB
│└サイトB'(※)
├xoops_trust_path
└xoops_x_trust_path(※)

現行サイトが稼働しているので、サイトA'とサイトB'としてまるごとコピー。
DBは新規作成し、サイトAで使用しているものをphpMyAdminにてエクスポートし、サイトA'へインポート。
xoops_trust_pathはxoops_x_trust_pathとしてコピーし、サイトA'、サイトB'からはそちらを見るようにmainfaile.phpを設定。

サイトA'(アップグレード成功)
サイトB'(アップグレードはしているようだが管理者画面が表示されない)
XOOPS Cube Legacy 2.1.5 → XOOPS Cube Legacy 2.2.3 Beta 1

もし何か分かる方がいらっしゃればアドバイスお願い出来ますでしょうか。
ご助言、よろしくお願い致します。

]]>
soyogi 2014-05-22T10:31+09:00 XCL2.2(Pack 2012)
D3Download 新規投稿のみ表示 https://xoopscube.jp/forum/7216 Xoops初心者でやっと、モジュールやブロック、テンプレートの関係がわかったレベルなのですが、D3Downloadのトップページに表示させようとしているブロックで新着一覧を表示することができるのですが、d3downloads_block_recent.html「変更した場合」は表示せず、「新規に登録されたアイテム」だけを表示しようといろいろと試したのですがうまくいきません。そのような事は可能なのでしょうか?

Xoops初心者でやっと、モジュールやブロック、テンプレートの関係がわかったレベルなのですが、
D3Downloadのトップページに表示させようとしているブロックで

新着一覧を表示することができるのですが、
d3downloads_block_recent.html

「変更した場合」は表示せず、「新規に登録されたアイテム」だけを表示しようといろいろと
試したのですがうまくいきません。

そのような事は可能なのでしょうか?

]]>
manpukuu 2014-08-07T11:32+09:00 XCL2.2(Pack 2012)
ブロックの表示の変更について https://xoopscube.jp/forum/7214 XOOPS Cube 2.2 を使用しています。会員登録をするときのブロックに表示される"新規登録"という文字を変更したいのですが、うまくいきません。デフォルトで、module/user/language/ja_utf8/blocks.php に、_MB_USER_USERREG という変数で "新規登録" という文字列が用意されていますが、これを例えば"新規登録A"に変更しても、表示は変わりません。ユーザモジュールやcubeutilなどのモジュールのアップデートをしてみても変わりません。[管理者メニュー]-[ユーザーモジュール]-[一般設定]-[新規ユーザの登録を許可する]を「はい」「いいえ」を切り替えると、「新規登録」のリンクは消したり、表示させたりすることは出来るのですが、文字列を変えることはできません。どうやったら変えられるか、ご存知の方がいらっしゃれば、教えてください。また、本当にやりたいことは、この文字を変えるだけでなく、「新規登録」の下に、「新規登録B」というリンクも追加したいので、user_login_block.html にて、<{if $block.allow_register == '1'}> |<a href="<{$xoops_url}>/register.php"><{$smarty.const._MB_USER_USERREG}></a> |<a href="<{$xoops_url}>/register.php?type=B"><{$smarty.const._MB_USER_USERREG_B}></a><{/if}>などとしたいのですが、これも変えてモジュールをアップデートしても何も変わりません。

XOOPS Cube 2.2 を使用しています。

会員登録をするときのブロックに表示される"新規登録"という文字を変更したいのですが、
うまくいきません。

デフォルトで、module/user/language/ja_utf8/blocks.php に、
_MB_USER_USERREG という変数で "新規登録" という文字列が用意されていますが、
これを例えば"新規登録A"に変更しても、表示は変わりません。

ユーザモジュールやcubeutilなどのモジュールのアップデートをしてみても
変わりません。

[管理者メニュー]-[ユーザーモジュール]-[一般設定]-[新規ユーザの登録を許可する]を
「はい」「いいえ」を切り替えると、「新規登録」のリンクは消したり、表示させたりすることは出来るのですが、文字列を変えることはできません。

どうやったら変えられるか、ご存知の方がいらっしゃれば、教えてください。

また、本当にやりたいことは、この文字を変えるだけでなく、
「新規登録」の下に、「新規登録B」というリンクも追加したいので、user_login_block.html にて、

<{if $block.allow_register == '1'}>
 |<a href="<{$xoops_url}>/register.php"><{$smarty.const._MB_USER_USERREG}></a>
 |<a href="<{$xoops_url}>/register.php?type=B"><{$smarty.const._MB_USER_USERREG_B}></a>
<{/if}>

などとしたいのですが、これも変えてモジュールをアップデートしても何も変わりません。

]]>
coderesume 2014-07-31T02:00+09:00 XCL2.2(Pack 2012)
ホダ塾からXoopsXにアップグレード後、数日後にpicoが閲覧不可に https://xoopscube.jp/forum/7209 soyogiです。首記の件、度々の質問で大変恐縮ですが、今回のアップデート作業で一番切り分けがしずらい状況が起きてしまい、お知恵を拝借できたらと思い再度投稿させて頂きました。簡単に状況を説明させて頂きます。hetemlというレンタルサーバ上で、ホダ塾からXoopsXへの移行を行っています。XOOPS Cube Legacy 2.1.5 → XOOPS Cube Legacy 2.2.3 Beta 1phpはXoops Xにする時にphp5.3を使用するようにしています。picoのバージョンは「1.87」移行に関してはこちらのフォーラムにも質問させていただいたりして、テストディレクトリを作成して十分にテストしたつもりだったのですが、いざURLを変更(公開フォルダ)し数日間XoopsXで運用後に、picoコンテンツが閲覧不可になってしまいました。切り分けが難しいというのは、1. picoコンテンツは、下記のメッセージが出力されています。「このコンテンツはコンパイルエラー等の理由で本文処理できていません。再度編集してください」(ログイン時)「このコンテンツの全文を表示するにはログインしてください」(未ログイン時)こちらに関しては、テスト時に確認出来ていた問題なのですが、言語定数に変更が無い場合にこれが出たのが初めてでした。(参考URL:http://xoops-creators.org/548642541842822/)管理者メニュー → picoの言語定数管理 → 更新ボタンで、キャッシュが作られるとこの問題が修復されるのをテストサイトで確認していたのですが、言語定数を変更していない場合、更新を押してもキャッシュは作成されないので、一度何かしらの定数名を同名で変更保存しキャッシュ作成としてみましたが、上記メッセージは出たままでした。2.ALTSYSのテンプレート管理で、アップロードしたテンプレートで一度でもブラウズされるとカスタムテンプレートが消えてしまう。この症状もよく分からないのですが、例えば・ホダ塾の時にダウンロードしたテンプレートを、XoopsX後にアップロード・互換レンダーシステム にて作成テンプレート「custom」をアクティブ・ALTSYS → picoのテンプレートで「DB-default」を「custom」にコピー・コンテンツをブラウズする・picoのテンプレートの「custom」のいくつかが消える。長文で申し訳ありませんが、二つの症状に関連性があるのかも分からず切り分けが難しい状況です。1の方は現在もコンテンツは閲覧出来ない状態です。2の方はテスト時には出ていなかったのですが、実際に公開して数日後に出た問題でして、何が原因でそうなったのかが分かりません。。。テンプレートの高度な操作 にて、「テンプレートキャッシュを通常状態に戻す」や「コンパイル済テンプレートキャッシュ」をしてみましたが状況は変わりませんでした。もし何か情報がございましたら、ご教示お願い致します。

soyogiです。

首記の件、度々の質問で大変恐縮ですが、今回のアップデート作業で一番切り分けがしずらい状況が起きてしまい、お知恵を拝借できたらと思い再度投稿させて頂きました。

簡単に状況を説明させて頂きます。
hetemlというレンタルサーバ上で、ホダ塾からXoopsXへの移行を行っています。
XOOPS Cube Legacy 2.1.5 → XOOPS Cube Legacy 2.2.3 Beta 1
phpはXoops Xにする時にphp5.3を使用するようにしています。
picoのバージョンは「1.87」

移行に関してはこちらのフォーラムにも質問させていただいたりして、テストディレクトリを作成して十分にテストしたつもりだったのですが、いざURLを変更(公開フォルダ)し数日間XoopsXで運用後に、picoコンテンツが閲覧不可になってしまいました。

切り分けが難しいというのは、
1. picoコンテンツは、下記のメッセージが出力されています。
「このコンテンツはコンパイルエラー等の理由で本文処理できていません。再度編集してください」(ログイン時)
「このコンテンツの全文を表示するにはログインしてください」(未ログイン時)
こちらに関しては、テスト時に確認出来ていた問題なのですが、言語定数に変更が無い場合にこれが出たのが初めてでした。
(参考URL:http://xoops-creators.org/548642541842822/

管理者メニュー → picoの言語定数管理 → 更新ボタン
で、キャッシュが作られるとこの問題が修復されるのをテストサイトで確認していたのですが、
言語定数を変更していない場合、更新を押してもキャッシュは作成されないので、一度何かしらの定数名を同名で変更保存しキャッシュ作成としてみましたが、上記メッセージは出たままでした。

2.ALTSYSのテンプレート管理で、アップロードしたテンプレートで一度でもブラウズされるとカスタムテンプレートが消えてしまう。
この症状もよく分からないのですが、例えば
・ホダ塾の時にダウンロードしたテンプレートを、XoopsX後にアップロード
・互換レンダーシステム にて作成テンプレート「custom」をアクティブ
・ALTSYS → picoのテンプレートで「DB-default」を「custom」にコピー
・コンテンツをブラウズする
・picoのテンプレートの「custom」のいくつかが消える。

長文で申し訳ありませんが、二つの症状に関連性があるのかも分からず切り分けが難しい状況です。
1の方は現在もコンテンツは閲覧出来ない状態です。
2の方はテスト時には出ていなかったのですが、実際に公開して数日後に出た問題でして、何が原因でそうなったのかが分かりません。。。

テンプレートの高度な操作 にて、「テンプレートキャッシュを通常状態に戻す」や「コンパイル済テンプレートキャッシュ」をしてみましたが状況は変わりませんでした。

もし何か情報がございましたら、ご教示お願い致します。

]]>
soyogi 2014-06-23T11:24+09:00 XCL2.2(Pack 2012)
テーマの変更ができません https://xoopscube.jp/forum/7206 take-tと申します。テーマの変更しようと思いテーマをダウンロードしサーバにアップロードしたのですが互換モジュールのテーマ管理にテーマの画像やパッケージ情報が空欄のままです。ただ、チェックボックスにチェックをいれることはできたので設定し、全般設定にてデフォルト・サイトテーマで変更したいテーマに設定したところ、エラー画面がでてしまいました。デフォルト・サイトテーマにはアップロードしたテーマはありました。themes/ ディレクトリからの自動アップデートを有効にするもエラーのままです。ちなみに選択したいテーマはCMS Theme Finderのtrump_color4をダウンロードしました。ネットで調べるも解決できなかったので投稿させていただきました。大変恐縮ですが解決策をご存じの方はご指導いただきますようお願いします。サイト/システム情報XC Legacyバージョン : XOOPS Cube Legacy 2.2.1 Beta1デフォルト・サイトテーマ : basic5デフォルトのテンプレート・セット : default使用言語 : ja_utf8デバッグモードを有効にする : オフオペレーティングシステム : FreeBSDサーバー : Apache/2.2.25ユーザーエージェント : Mozilla/5.0 (Windows NT 6.3; WOW64; Trident/7.0; rv:11.0) like GeckoPHPバージョン : 5.4.28MySQLのバージョン : 5.5.28-logPHPの設定セーフモード : オフ最大実行時間 : 30 sec.メモリ制限 : 128Mb表示エラー : オフショートオープンタグ : オンファイルをアップロード : オン ( アップロード最大ファイルサイズ:5M, Post最大サイズ:8M )マジッククオート : オフグローバル変数の登録 : オフ出力バッファリング : オフopen_basedir : オフurl_fopenを許可 : オン (recommended OFF)DOMの拡張 : はいexifの拡張 : はいgettextの拡張 : はいJSONの拡張 : はいXMLを有効 : はいCurlの拡張 : はいZlibを有効 : はいSoapの拡張 : はいMbstringを有効 : はいIconvの利用 : はいGDの拡張 : はいGD Version: bundled (2.1.0 compatible)GDの拡張 Image create Truecolor

take-tと申します。

テーマの変更しようと思いテーマをダウンロードしサーバにアップロードしたのですが互換モジュールのテーマ管理にテーマの画像やパッケージ情報が空欄のままです。

ただ、チェックボックスにチェックをいれることはできたので設定し、全般設定にてデフォルト・サイトテーマで変更したいテーマに設定したところ、エラー画面がでてしまいました。
デフォルト・サイトテーマにはアップロードしたテーマはありました。
themes/ ディレクトリからの自動アップデートを有効にするもエラーのままです。
ちなみに選択したいテーマはCMS Theme Finderのtrump_color4をダウンロードしました。

ネットで調べるも解決できなかったので投稿させていただきました。
大変恐縮ですが解決策をご存じの方はご指導いただきますようお願いします。

サイト/システム情報

XC Legacyバージョン : XOOPS Cube Legacy 2.2.1 Beta1
デフォルト・サイトテーマ : basic5
デフォルトのテンプレート・セット : default
使用言語 : ja_utf8
デバッグモードを有効にする : オフ

オペレーティングシステム : FreeBSD

サーバー : Apache/2.2.25
ユーザーエージェント : Mozilla/5.0 (Windows NT 6.3; WOW64; Trident/7.0; rv:11.0) like Gecko

PHPバージョン : 5.4.28
MySQLのバージョン : 5.5.28-log

PHPの設定

セーフモード : オフ
最大実行時間 : 30 sec.
メモリ制限 : 128Mb
表示エラー : オフ

ショートオープンタグ : オン
ファイルをアップロード : オン ( アップロード最大ファイルサイズ:5M, Post最大サイズ:8M )

マジッククオート : オフ

グローバル変数の登録 : オフ

出力バッファリング : オフ
open_basedir : オフ
url_fopenを許可 : オン (recommended OFF)

DOMの拡張 : はい

exifの拡張 : はい
gettextの拡張 : はい
JSONの拡張 : はい
XMLを有効 : はい
Curlの拡張 : はい
Zlibを有効 : はい
Soapの拡張 : はい
Mbstringを有効 : はい
Iconvの利用 : はい
GDの拡張 : はい
GD Version: bundled (2.1.0 compatible)

GDの拡張 Image create Truecolor
]]>
take-t 2014-06-03T10:22+09:00 XCL2.2(Pack 2012)
入れた後、protectorとxupdateが配置エラーでアップデートできない。 https://xoopscube.jp/forum/7204 失礼します。設置はうまくいき推奨も全部インストールしました。他は何もいじってません。IEでは管理画面に入れなくなることがあったため、phpデバグモードをオフにしました。XOOPS Cube Legacy 2.2.3 Beta を入れてすぐに管理画面トップで アップデート可能なモジュールが2個あります。となり、モジュールのprotectorとxupdateが更新できる状態と表示されますが、実行すると配置エラーとなります。その画面で、FTP設定チェック結果 NG とこれだけが赤字になっているためこの辺かと思いFTPライブラリの設定で ダイレクト(ファイルオーナーがPHP)カスタムFTP(標準)PHP_FTP(FTPS用)を試しました。FTPログインIDとログインパスワードを入力しましたが、特に変化がありません。一応このサイトのフォーラムやトップ画面からのお知らせリンクも見ていますが、処理を個別にやっても配置エラーはかわらないです。先方のサイトが休止していると、入れるデータが見つからないからか配置エラーになるとありますが、protectorとxupdateのような重要なものならトップで知らせるでしょうし、むしろアップデート可能とポップアップで知らせてこないだろうと思いました。何かご存じでしたら、ぜひ教えて頂けますと助かります。宜しくお願いします。XC Legacyバージョン : XOOPS Cube Legacy 2.2.3 Beta 1デフォルト・サイトテーマ : pack2011_defaultデフォルトのテンプレート・セット : default使用言語 : ja_utf8デバッグモードを有効にする : オフオペレーティングシステム : Linux mサーバー : Apacheユーザーエージェント : Mozilla/5.0 (Windows NT 6.2; WOW64; rv:29.0) Gecko/20100101 Firefox/29.0PHPバージョン : 5.2.5MySQLのバージョン : 5.1.22-rcPHPの設定セーフモード : オン最大実行時間 : 300 sec.メモリ制限 : 90Mb表示エラー : オンショートオープンタグ : オンファイルをアップロード : オン ( アップロード最大ファイルサイズ:32M, Post最大サイズ:32M )マジッククオート : オフグローバル変数の登録 : オフ出力バッファリング : オンopen_basedir : オンurl_fopenを許可 : オン (recommended OFF)DOMの拡張 : はいexifの拡張 : はいgettextの拡張 : はいJSONの拡張 : はいXMLを有効 : はいCurlの拡張 : はいZlibを有効 : はいSoapの拡張 : はいMbstringを有効 : はいIconvの利用 : はいGDの拡張 : はいGD Version: bundled (2.0.34 compatible)GDの拡張 Image create Truecolor

失礼します。設置はうまくいき推奨も全部インストールしました。他は何もいじってません。
IEでは管理画面に入れなくなることがあったため、phpデバグモードをオフにしました。
XOOPS Cube Legacy 2.2.3 Beta を入れてすぐに
管理画面トップで アップデート可能なモジュールが2個あります。となり、
モジュールのprotectorとxupdateが更新できる状態と表示されますが、実行すると配置エラーとなります。
その画面で、FTP設定チェック結果 NG とこれだけが赤字になっているためこの辺かと思い
FTPライブラリの設定で ダイレクト(ファイルオーナーがPHP)カスタムFTP(標準)PHP_FTP(FTPS用)を試しました。
FTPログインIDとログインパスワードを入力しましたが、特に変化がありません。
一応このサイトのフォーラムやトップ画面からのお知らせリンクも見ていますが、処理を個別にやっても配置エラーはかわらないです。
先方のサイトが休止していると、入れるデータが見つからないからか配置エラーになるとありますが、protectorとxupdateのような重要なものならトップで知らせるでしょうし、むしろアップデート可能とポップアップで知らせてこないだろうと思いました。

何かご存じでしたら、ぜひ教えて頂けますと助かります。
宜しくお願いします。

XC Legacyバージョン : XOOPS Cube Legacy 2.2.3 Beta 1
デフォルト・サイトテーマ : pack2011_default
デフォルトのテンプレート・セット : default
使用言語 : ja_utf8
デバッグモードを有効にする : オフ
オペレーティングシステム : Linux m
サーバー : Apache
ユーザーエージェント : Mozilla/5.0 (Windows NT 6.2; WOW64; rv:29.0) Gecko/20100101 Firefox/29.0
PHPバージョン : 5.2.5
MySQLのバージョン : 5.1.22-rc

PHPの設定
セーフモード : オン
最大実行時間 : 300 sec.
メモリ制限 : 90Mb
表示エラー : オン
ショートオープンタグ : オン
ファイルをアップロード : オン ( アップロード最大ファイルサイズ:32M, Post最大サイズ:32M )
マジッククオート : オフ
グローバル変数の登録 : オフ
出力バッファリング : オン
open_basedir : オン
url_fopenを許可 : オン (recommended OFF)
DOMの拡張 : はい
exifの拡張 : はい
gettextの拡張 : はい
JSONの拡張 : はい
XMLを有効 : はい
Curlの拡張 : はい
Zlibを有効 : はい
Soapの拡張 : はい
Mbstringを有効 : はい
Iconvの利用 : はい
GDの拡張 : はい
GD Version: bundled (2.0.34 compatible)
GDの拡張 Image create Truecolor

]]>
FlameRoad 2014-06-01T17:06+09:00 XCL2.2(Pack 2012)
ホダ塾からXoopsXにアップグレード後、d3downloadsのファイルが壊れている https://xoopscube.jp/forum/7205 似たようなタイトルで前回投稿させて頂きました、soyogiと申します。ホダ塾からXoopsXにアップグレード後にd3downloadsで登録してあるPDFやdocが壊れていて開けない、又はフォントが読み取れないエラーのような状況となっております。全部がダメという訳ではなく、見れるのと見れないのが混在している状況です。d3downloadsはホダ塾では1.47、XoopsXにてモジュールアップデートを行い、1.49になっています。念の為、移行に関するバージョンが以下です。XOOPS Cube Legacy 2.1.5 → XOOPS Cube Legacy 2.2.3 Beta 1XoopsXへ移行後に、php5.3を使用するように設定。私の認識でですが、d3downloadsにてアップロードされたファイルというのは、/xoops_trust_path/uploads/d3downloadsに入ると思うのですが、丸々xoops_trust_pathをコピーした状態でファイルが閲覧出来ないのは、何か移行に際して足りない手順があるのでしょうか?度々で恐縮ですがお知恵を拝借できたらと思います。よろしくお願い致します。

似たようなタイトルで前回投稿させて頂きました、soyogiと申します。

ホダ塾からXoopsXにアップグレード後にd3downloadsで登録してあるPDFやdocが壊れていて開けない、又はフォントが読み取れないエラーのような状況となっております。
全部がダメという訳ではなく、見れるのと見れないのが混在している状況です。

d3downloadsはホダ塾では1.47、XoopsXにてモジュールアップデートを行い、1.49になっています。
念の為、移行に関するバージョンが以下です。
XOOPS Cube Legacy 2.1.5 → XOOPS Cube Legacy 2.2.3 Beta 1
XoopsXへ移行後に、php5.3を使用するように設定。

私の認識でですが、d3downloadsにてアップロードされたファイルというのは、
/xoops_trust_path/uploads/d3downloads
に入ると思うのですが、丸々xoops_trust_pathをコピーした状態でファイルが閲覧出来ないのは、何か移行に際して足りない手順があるのでしょうか?

度々で恐縮ですがお知恵を拝借できたらと思います。

よろしくお願い致します。

]]>
soyogi 2014-06-02T19:03+09:00 XCL2.2(Pack 2012)
トップページからのxoopsx(ten)でX-updateが最初から表示されない。:未解決 https://xoopscube.jp/forum/7200 トップページにある誘導でVer.2.2のファイルxoopsx(ten)をダウンロードしてレンタルサーバに設置しました。何度もやっているため、問題なく設置できて稼働できましたが、X-updateが仕様で表示されない。以前使ってかなり便利と重宝したことがあるためどういうものかはわかっているので、どこかおかしいのかといろいろ試していましたがわからず、動かないのではなくX-updateが最初から管理メニューに表示されずエラーも特にないため困っています。Ver.2.1以前と同様に、ファイルを個別にアップロードしないとモジュールが追加できない仕様です。過去ログも見ましたが、同じ件は見当たらず。宜しくお願いします。サイト/システム情報XC Legacyバージョン : XOOPS Cube Legacy 2.2.1 Beta1デフォルト・サイトテーマ : pack2011_defaultデフォルトのテンプレート・セット : default使用言語 : ja_utf8デバッグモードを有効にする : PHPデバグオペレーティングシステム : Linux mサーバー : Apacheユーザーエージェント : Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 6.2; WOW64; Trident/6.0; .NET4.0E; .NET4.0C; .NET CLR 3.5.30729; .NET CLR 2.0.50727; .NET CLR 3.0.30729; MALNJS)PHPバージョン : 5.2.5MySQLのバージョン : 5.1.22-rcPHPの設定セーフモード : オン最大実行時間 : 300 sec.メモリ制限 : 90Mb表示エラー : オンショートオープンタグ : オンファイルをアップロード : オン ( アップロード最大ファイルサイズ:32M, Post最大サイズ:32M )マジッククオート : オフグローバル変数の登録 : オフ出力バッファリング : オンopen_basedir : オンurl_fopenを許可 : オン (recommended OFF)DOMの拡張 : はいexifの拡張 : はいgettextの拡張 : はいJSONの拡張 : はいXMLを有効 : はいCurlの拡張 : はいZlibを有効 : はいSoapの拡張 : はいMbstringを有効 : はいIconvの利用 : はいGDの拡張 : はいGD Version: bundled (2.0.34 compatible)GDの拡張 Image create Truecolor

トップページにある誘導でVer.2.2のファイルxoopsx(ten)をダウンロードしてレンタルサーバに設置しました。
何度もやっているため、問題なく設置できて稼働できましたが、X-updateが仕様で表示されない。
以前使ってかなり便利と重宝したことがあるためどういうものかはわかっているので、どこかおかしいのかといろいろ試していましたがわからず、動かないのではなくX-updateが最初から管理メニューに表示されずエラーも特にないため困っています。
Ver.2.1以前と同様に、ファイルを個別にアップロードしないとモジュールが追加できない仕様です。
過去ログも見ましたが、同じ件は見当たらず。
宜しくお願いします。

サイト/システム情報

XC Legacyバージョン : XOOPS Cube Legacy 2.2.1 Beta1
デフォルト・サイトテーマ : pack2011_default
デフォルトのテンプレート・セット : default
使用言語 : ja_utf8
デバッグモードを有効にする : PHPデバグ
オペレーティングシステム : Linux m
サーバー : Apache
ユーザーエージェント : Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 6.2; WOW64; Trident/6.0; .NET4.0E; .NET4.0C; .NET CLR 3.5.30729; .NET CLR 2.0.50727; .NET CLR 3.0.30729; MALNJS)
PHPバージョン : 5.2.5
MySQLのバージョン : 5.1.22-rc

PHPの設定
セーフモード : オン
最大実行時間 : 300 sec.
メモリ制限 : 90Mb
表示エラー : オン
ショートオープンタグ : オン
ファイルをアップロード : オン ( アップロード最大ファイルサイズ:32M, Post最大サイズ:32M )
マジッククオート : オフ
グローバル変数の登録 : オフ
出力バッファリング : オン
open_basedir : オン
url_fopenを許可 : オン (recommended OFF)
DOMの拡張 : はい
exifの拡張 : はい
gettextの拡張 : はい
JSONの拡張 : はい
XMLを有効 : はい
Curlの拡張 : はい
Zlibを有効 : はい
Soapの拡張 : はい
Mbstringを有効 : はい
Iconvの利用 : はい
GDの拡張 : はい
GD Version: bundled (2.0.34 compatible)
GDの拡張 Image create Truecolor

]]>
FlameRoad 2014-05-13T05:42+09:00 XCL2.2(Pack 2012)
ログアウト後にエラー表示される原因と対策教えて下さい。 https://xoopscube.jp/forum/7203 管理者としてログインしているときは管理画面、ホームページと確認できています。一旦、ログアウトすると下記のエラー表示がでますが原因と対策を教えて下さい。Call to a member function get() on a non-object in /home/44/アカウント名/ドメイン/フォルダ/modules/message/blocks/message_block.class.php on line 42ネット上で検索して下記のような説明を確認したのですが、それが何を意味しXCLでどう対策するのかが分かりません。「○○ファイルの△△行目付近(以前)で、オブジェクトに関連付けられていないメンバー関数を呼び出したことによる、致命的エラー」アドバイスお願いいたします。

管理者としてログインしているときは管理画面、ホームページと確認できています。
一旦、ログアウトすると下記のエラー表示がでますが原因と対策を教えて下さい。

Call to a member function get() on a non-object in /home/44/アカウント名/ドメイン/フォルダ/modules/message/blocks/message_block.class.php on line 42

ネット上で検索して下記のような説明を確認したのですが、それが何を意味しXCLでどう対策するのかが分かりません。

「○○ファイルの△△行目付近(以前)で、オブジェクトに関連付けられていないメンバー関数を呼び出したことによる、致命的エラー」

アドバイスお願いいたします。

]]>
rocksoco 2014-05-27T00:46+09:00 XCL2.2(Pack 2012)
2.06ja フォーラムの内容を d3フォーラムにインポートする。 https://xoopscube.jp/forum/7195 2003年から2009年まで運営していたサイトを現在リードオンリー状態で放置しております。(Forum Ver1)これをXCL 2.2.2 d3フォーラム 0.88にインポート(移行)したいのですがどうすればよろしいでしょうかこちらのサイトではhttp://xoops.kudok.com/database/91.htmインポートする機能が備わっていると紹介されていますがどこにその機能があるのかわかりませんでした

2003年から2009年まで運営していたサイトを現在リードオンリー状態で放置しております。
(Forum Ver1)
これを
XCL 2.2.2 d3フォーラム 0.88にインポート(移行)したいのですがどうすればよろしいでしょうか

こちらのサイトでは
http://xoops.kudok.com/database/91.htm
インポートする機能が備わっていると紹介されていますが
どこにその機能があるのかわかりませんでした

]]>
chiroku 2014-03-16T11:36+09:00 XCL2.2(Pack 2012)
WordpressとXOOPS Cubeのログインを統合する方法 https://xoopscube.jp/forum/7170 初めまして。今回初めてXOOPS Cubeを使う初心者です。現在、Wordpress(WP)を利用してサイトを作ってあるのですが、同一ドメイン上にXOOPS Cubeを入れて使用することは出来るでしょうか。また、現在XOOPS cubeの「newbb」モジュールの使用を検討しています。 もし、wordpressのユーザーがログインをした場合、フォーラムもログインせずに自動ログインされるようにすることが出来るのでしょうか。英語サイトを含め、調査をしましたが回答が見つからなかったので、質問させていただきました。どうか、よろしくお願いします。

初めまして。

今回初めてXOOPS Cubeを使う初心者です。
現在、Wordpress(WP)を利用してサイトを作ってあるのですが、同一ドメイン上にXOOPS Cubeを入れて使用することは出来るでしょうか。

また、現在XOOPS cubeの「newbb」モジュールの使用を検討しています。 もし、wordpressのユーザーがログインをした場合、フォーラムもログインせずに自動ログインされるようにすることが出来るのでしょうか。

英語サイトを含め、調査をしましたが回答が見つからなかったので、質問させていただきました。

どうか、よろしくお願いします。

]]>
nadia 2013-11-14T16:10+09:00 XCL2.2(Pack 2012)